U++ - Bug #324
Broken umk
09/04/2012 11:31 AM - Jan Dolinar

Status: Approved Start date: 09/04/2012
Priority: Urgent Due date:

Assignee: Jan Dolinar % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Umk tool can't be build, | believe the error is caused by removing Web package (commit 5311).
In file included from /home/h/upp-production/uppsrc/umk/Export.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:16:7: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:16:19: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:53:19: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:53:31: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/Export.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:57:15: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:57:27: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:97:49: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:97:61: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:100:45: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:100:57: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/IdeContext.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:16:7: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:16:19: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:53:19: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:53:31: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/IdeContext.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:57:15: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:57:27: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:97:49: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:97:61: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:100:45: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:100:57: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/IdeContext.cpp:44:32: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/IdeContext.cpp:44:44: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/IdeContext.cpp:59:29: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/IdeContext.cpp:59:41: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/Console.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:16:7: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:16:19: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:53:19: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:53:31: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/Console.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:57:15: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:57:27: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:97:49: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:97:61: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:100:45: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:100:57: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/Console.cpp: In member function ‘int Console::Flush()’:
/home/h/upp-production/uppsrc/umk/Console.cpp:43:15: error: base operand of ->’ is not a pointer
/home/h/upp-production/uppsrc/umk/Console.cpp:57:19: error: base operand of ->’ is not a pointer
/home/h/upp-production/uppsrc/umk/Console.cpp: At global scope:
/home/h/upp-production/uppsrc/umk/Console.cpp:72:26: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/Console.cpp:72:38: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/Console.cpp: In member function ‘int Console::Execute(const char*, Upp::Stream*, const
char*, bool)’:
/home/h/upp-production/uppsrc/umk/Console.cpp:85:62: error: ‘StartProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/Console.cpp: In member function ‘bool Console::Run(const char*, Upp::Stream*, const
char*, bool, int, Upp::String,

int)”:
/home/h/upp-production/uppsrc/umk/Console.cpp:114:7: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/Console.cpp:114:19: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/Console.cpp:114:27: error: invalid type in declaration before ‘=’ token
/home/h/upp-production/uppsrc/umk/Console.cpp:114:73: error: ‘StartProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/Console.cpp: At global scope:
/home/h/upp-production/uppsrc/umk/Console.cpp:124:23: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/Console.cpp:124:35: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/Console.cpp: In member function ‘bool Console::IsRunning(int)’:
/home/h/upp-production/uppsrc/umk/Console.cpp:185:32: error: base operand of ->’ is not a pointer
/home/h/upp-production/uppsrc/umk/Console.cpp: In member function ‘void Console::Kill(int)’:
/home/h/upp-production/uppsrc/umk/Console.cpp:228:15: error: base operand of ->’ is not a pointer
/home/h/upp-production/uppsrc/umk/Console.cpp:229:31: error: base operand of ->’ is not a pointer
/home/h/upp-production/uppsrc/umk/Console.cpp:232:16: error: request for member ‘Clear’ in ‘slot.Console::Slot::process’, which
is of non-class type

‘int’
In file included from /home/h/upp-production/uppsrc/umk/MakeBuild.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:16:7: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:16:19: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:53:19: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:53:31: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/MakeBuild.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:57:15: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:57:27: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:97:49: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:97:61: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:100:45: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:100:57: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/umake.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:16:7: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:16:19: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:53:19: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:53:31: error: template argument 1 is invalid
In file included from /home/h/upp-production/uppsrc/umk/umake.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:57:15: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:57:27: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:97:49: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:97:61: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.h:100:45: error: ‘SlaveProcess’ was not declared in this scope
/home/h/upp-production/uppsrc/umk/umake.h:100:57: error: template argument 1 is invalid
/home/h/upp-production/uppsrc/umk/umake.cpp: In function ‘void ConsoleMainFn_()’:
/home/h/upp-production/uppsrc/umk/umake.cpp:51:6: error: cannot declare variable ‘ide’ to be of abstract type ‘Ide’
In file included from /home/h/upp-production/uppsrc/umk/umake.cpp:1:0:
/home/h/upp-production/uppsrc/umk/umake.h:80:8: note: because the following virtual functions are pure within ‘Ide’:
In file included from /home/h/upp-production/uppsrc/ide/Builders/Builders.h:4:0,
from /home/h/upp-production/uppsrc/umk/umake.h:4,
from /home/h/upp-production/uppsrc/umk/umake.cpp:1:
/home/h/upp-production/uppsrc/ide/Core/Core.h:48:27: note: virtual int
IdeContext::ldeConsoleExecute(Upp::One<Upp::AProcess>, const char*, Upp::Str
eam*, bool)
/home/h/upp-production/uppsrc/ide/Core/Core.h:51:27: note: virtual bool
IdeContext::IdeConsoleRun(Upp::One<Upp::AProcess>, const char*, Upp::Stream
*, bool, int, Upp::String, int)
umk: 5 file(s) built in (0:03.30), 661 msecs / file, duration = 3450 msecs, parallelization 90%

There were errors. (0:12.22)

History

#1 - 09/05/2012 08:46 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinar
#2 - 09/05/2012 10:15 AM - Jan Dolinar

- Status changed from Ready for QA to Approved

Works now, thanks.
